rlog: rlog::RLogModule Class Reference

Main Page | Modules | Class Hierarchy | Class List | File List | Class Members | Related Pages

# rlog::RLogModule Class Reference

Allows registration of external modules to rlog. More...

`#include <rlog/rloginit.h>`

List of all members.

## Public Member Functions
virtual void | init (int &argv, char **argc)
virtual const char * | moduleName () const =0
virtual void | init (int &argv, char **argc)
virtual const char * | moduleName () const =0
## Related Functions
(Note that these are not member functions.)
RLogModule * | RegisterModule (RLogModule *module)

## Detailed Description

Allows registration of external modules to rlog.

Currently this only allows for initialization callbacks. When RLogInit() is called, init() is called on all modules which have been registered.

Author:
  Valient Gough

## Member Function Documentation

virtual void rlog::RLogModule::init | ( | int & | argv,
|  | char ** | argc
| ) | `[virtual]`

| Called by RLogInit() to give the modules the command-line arguments

void RLogModule::init | ( | int & | argv,
|  | char ** | argc
| ) | `[virtual]`

| Called by RLogInit() to give the modules the command-line arguments

virtual const char* rlog::RLogModule::moduleName | ( |  | ) | const`[pure virtual]`

| Must be implemented to return the name of the module.

virtual const char* rlog::RLogModule::moduleName | ( |  | ) | const`[pure virtual]`

| Must be implemented to return the name of the module.

## Friends And Related Function Documentation

RLogModule * RegisterModule | ( | RLogModule * | module | ) | `[related]`

| Registers the module - which will have init() called when RLogInit is called. Returns the module so that it can be used easily as a static initializer.
          class MyModule : public rlog::RLogModule
          {
          public:
              virtual const char *moduleName() const {return "MyModule";}
          };
          static RLogModule * testModule = rlog::RegisterModule( new MyModule() );

The documentation for this class was generated from the following files:

- rloginit.h
- 1.3.6/rlog/rloginit.h
- rloginit.cpp
- 1.3.6/rlog/rloginit.cpp